GalertAuxLog (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertAuxLog class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertAuxLog

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.galerts.server.session.GalertAuxLog

All Implemented Interfaces:
  java.io.Serializable

    public class GalertAuxLog

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `GalertAuxLog()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`GalertLog` | `getAlert()`
`GalertDef` | `getAlertDef()`
`protected int` | `getAuxType()`
`java.util.Collection` | `getChildren()`
`protected java.util.Collection` | `getChildrenBag()`
`java.lang.String` | `getDescription()`
`GalertAuxLog` | `getParent()`
`AlertAuxLogProvider` | `getProvider()`
`long` | `getTimestamp()`
`int` | `hashCode()`
`protected void` | `setAlert(GalertLog alert)`
`protected void` | `setAlertDef(GalertDef def)`
`protected void` | `setAuxType(int auxType)`
`protected void` | `setChildrenBag(java.util.Collection c)`
`protected void` | `setDescription(java.lang.String description)`
`protected void` | `setParent(GalertAuxLog parent)`
`protected void` | `setTimestamp(long timestamp)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalertAuxLog

    protected GalertAuxLog()

Method Detail

### getTimestamp

    public long getTimestamp()

### setTimestamp

    protected void setTimestamp(long timestamp)

### getAlert

    public GalertLog getAlert()

### setAlert

    protected void setAlert(GalertLog alert)

### getProvider

    public AlertAuxLogProvider getProvider()

### getAuxType

    protected int getAuxType()

### setAuxType

    protected void setAuxType(int auxType)

### getDescription

    public java.lang.String getDescription()

### setDescription

    protected void setDescription(java.lang.String description)

### getParent

    public GalertAuxLog getParent()

### setParent

    protected void setParent(GalertAuxLog parent)

### getChildrenBag

    protected java.util.Collection getChildrenBag()

### setChildrenBag

    protected void setChildrenBag(java.util.Collection c)

### getChildren

    public java.util.Collection getChildren()

### getAlertDef

    public GalertDef getAlertDef()

### setAlertDef

    protected void setAlertDef(GalertDef def)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.